/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package sikd.ikonsol.ejb.dao;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;
import org.apache.ibatis.session.SqlSession;
import org.apache.ibatis.session.SqlSessionFactory;
import sikd.ikonsol.model.PemdaWilayah;

/**
 *
 * @author Imam Bhoim
 */
public class PemdaWilayahDao implements IDAO<PemdaWilayah>, Serializable {

     private SqlSessionFactory sqlSessionFactory = null;
    private SqlSession session = null;

    public PemdaWilayahDao(SqlSessionFactory sqlSessionFactory) {
        this.sqlSessionFactory = sqlSessionFactory;
    }
    
    @Override
    public PemdaWilayah createNew() {
        throw new UnsupportedOperationException("Not supported yet."); //To change body of generated methods, choose Tools | Templates.
    }

    @Override
    public List<PemdaWilayah> findAll() {
        //throw new UnsupportedOperationException("Not supported yet."); //To change body of generated methods, choose Tools | Templates.
     List<PemdaWilayah> list = new ArrayList<PemdaWilayah>();

        session = sqlSessionFactory.openSession();
        try {
            list = session.selectList("PemdaWilayahMapper.selectAll");
        } catch (Exception e) {
            e.printStackTrace();
        } finally {
            session.close();
        }

        return list;
    }

    @Override
    public List<PemdaWilayah> findByCriteria(String sql) {
        throw new UnsupportedOperationException("Not supported yet."); //To change body of generated methods, choose Tools | Templates.
    }

    @Override
    public PemdaWilayah findByID(int id) {
        throw new UnsupportedOperationException("Not supported yet."); //To change body of generated methods, choose Tools | Templates.
    }

    @Override
    public PemdaWilayah findByKode(String kode) {
        throw new UnsupportedOperationException("Not supported yet."); //To change body of generated methods, choose Tools | Templates.
    }

    @Override
    public PemdaWilayah save(PemdaWilayah obj) {
        //throw new UnsupportedOperationException("Not supported yet."); //To change body of generated methods, choose Tools | Templates.
     session = sqlSessionFactory.openSession();
        session.insert("PemdaWilayahMapper.insertOne", obj);
        session.commit();
        session.close();
        return obj;
    }

    @Override
    public PemdaWilayah update(PemdaWilayah obj) {
        throw new UnsupportedOperationException("Not supported yet."); //To change body of generated methods, choose Tools | Templates.
    }

    @Override
    public void deleteByID(int id) {
        //throw new UnsupportedOperationException("Not supported yet."); //To change body of generated methods, choose Tools | Templates.
    session = sqlSessionFactory.openSession();
        session.delete("PemdaWilayahMapper.deleteOne", id);
        session.commit();
        session.close();
    }

    @Override
    public void deleteByPK(String pk) {
        throw new UnsupportedOperationException("Not supported yet."); //To change body of generated methods, choose Tools | Templates.
    }
    
    public List<PemdaWilayah> findListById(int id) {
        //throw new UnsupportedOperationException("Not supported yet."); //To change body of generated methods, choose Tools | Templates.
     List<PemdaWilayah> list = new ArrayList<PemdaWilayah>();

        session = sqlSessionFactory.openSession();
        try {
            list = session.selectList("PemdaWilayahMapper.selectListById",id);
        } catch (Exception e) {
            e.printStackTrace();
        } finally {
            session.close();
        }

        return list;
    }

    
}
